extends layout

append stylesheets
append scripts
    script var role = !{JSON.stringify(role).replace(/<\//g, "<\\/")}
    script var allTotalRequests = !{JSON.stringify(allRequests).replace(/<\//g, "<\\/")}
    script var allRegions = !{JSON.stringify(allRegions).replace(/<\//g, "<\\/")}
    script var allProvinces = !{JSON.stringify(allProvinces).replace(/<\//g, "<\\/")}
    script var allCities = !{JSON.stringify(allCities).replace(/<\//g, "<\\/")}
    script(src='js/models/Request.js')
    script(src='js/page_scripts/ps_delivery.js')

block content
    //- Header
    +header-with-buttons('delivery')
        li
            a(data-bind='click:deliverSelectedRequests') Mark As Delivered
        li.divider
        li
            a(data-bind='click:deleteSelectedRequests') Delete
    //- Table Content 
    div.section
        +requests-table
    
    +floating-action-btn('delivery')
        li
          a.btn-floating.tooltipped.teal.lighten-2(data-bind='click:deliverSelectedRequests' data-position='top' data-tooltip='Mark as Delivered')
            i.material-icons flag
        li
          a.btn-floating.tooltipped.teal.lighten-2.sidenav-trigger(data-target='filter-sidenav-slideout' data-position='top' data-tooltip='Toggle Filter')
            i.material-icons filter_list
        li
          a.btn-floating.tooltipped.teal.lighten-2(data-bind='click:deleteSelectedRequests' data-position='top' data-tooltip='Delete Selected Requests')
            i.material-icons delete

    //- Modal 
    div#request-details-modal.modal.modal-fixed-footer
        div.modal-content(data-bind='using:selectedRequest') 
            h5 Request Details
            div.divider
            div.row 
                ul.tabs.teal.lighten-4
                    li.tab.col.s6 
                        a.active.teal.white-text(href='#beneficiary-tab') Institution
                    li.tab.col.s6 
                        a.teal.white-text(href='#request-tab') Request
            div#beneficiary-tab.col.s12
                //- Institution tab
                div.row
                    div.input-field.col.s12
                        i.material-icons.prefix local_hospital
                        label Institution Name      
                        input#details-beneficiary-name(type='text' data-bind='value:Name' disabled)
                div.row
                    div.input-field.col.s12
                        input#details-location.validate(type='text' data-bind='value:Location()+", "+RegionName()' disabled)
                        label(for='details-location') Location
                div.row
                    div.input-field.col.s12.l4
                        input#details-beneficiary-type(type='text' data-bind='value:Type' disabled)
                        label(for='details-beneficiary-type') Type
                    div.input-field.col.s12.l4
                        input#details-beneficiary-classification(type='text' data-bind='value:Classification' disabled)
                        label(for='details-beneficiary-classification') Classification
                    div.input-field.col.s12.l4
                        input#details-beneficiary-designation(type='text' data-bind='value:Designation' disabled)
                        label(for='details-beneficiary-designation') Designation
                div.row
                    div.input-field.col.s12.l6 
                        input#details-beneficiary-contact-person(type='text' data-bind='value:ContactPerson' disabled)
                        label(for='details-beneficiary-contact-person') Contact Person
                    div.input-field.col.s12.l6
                        input#details-beneficiary-contact-number(type='text' data-bind='value:ContactNumber' disabled)
                        label(for='details-beneficiary-contact-number') Contact Number
            div#request-tab.col.s12
                //- Request Tab 
                div.row
                    div.input-field.col.s12.l4 
                        input#details-request-type(type='text' data-bind='value:getRequestTypeName()' disabled)
                        label(for='details-request-type') Request Type
                    div.input-field.col.s12.l4
                        input#details-request-allocation(type='number' data-bind='value:Allocation' disabled)
                        label(for='details-request-allocation') Allocation
                    div.input-field.col.s12.l4
                        input#details-request-receiver(type='text' data-bind='value:Receiver')
                        label(for='details-request-receiver') Receiver
                div.row
                    div.input-field.col.s12
                        textarea#details-request-requests.materialize-textarea(data-bind='value:Requests' disabled)
                        label(for='details-request-requests') Requests
                div.row
                    div.input-field.col.s12
                        textarea#details-request-remarks.materialize-textarea(data-bind='value:Remarks' disabled)
                        label(for='details-request-remarks') Remarks
                    
        div.modal-footer.bottom
            a.btn.waves-effect.waves-light.left(data-bind='click:deliverRequest') MARK REQUEST AS DELIVERED
            //- | &nbsp;&nbsp;
            //- a.btn.waves-effect.waves-light(data-bind='click:confirmSaveChanges') SAVE CHANGES
            | &nbsp;&nbsp;
            a.modal-close.waves-effect.waves-green.btn-flat CLOSE